## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XToken Class Reference

Inheritance diagram for XToken:

[legend]
Collaboration diagram for XToken:

[legend]
List of all members.

## Public Member Functions

- XToken ()
- XToken (const XalanDOMString &theString, MemoryManagerType &theManager)
    Create an XToken for string in the token queue.
- XToken (double theNumber, const XalanDOMString &theString)
    Create an XToken for number in the token queue.
- XToken (const XToken &theSource)
- virtual ~XToken ()
- virtual const XalanDOMString & getTypeString () const
    Given a request type, return the equivalent string.
- virtual double num () const
    Cast result object to a number.
- virtual bool boolean () const
    Cast result object to a boolean.
- virtual const XalanDOMString & str () const
    Cast result object to a string.
- virtual void str (FormatterListener &formatterListener, MemberFunctionPtr function) const
    Send the string value to a FormatterListener instance.
- virtual void str (XalanDOMString &theBuffer) const
    Append the string value directly a string.
- virtual double stringLength () const
    Get the length of the string value of the instance..
- virtual void ProcessXObjectTypeCallback (XObjectTypeCallback &theCallbackObject)
    Process a callback request for preferred type information.
- virtual void ProcessXObjectTypeCallback (XObjectTypeCallback &theCallbackObject) const
    Process a callback request for preferred type information.
- XToken & operator= (const XToken &theRHS)
- void set (const XalanDOMString &theString, MemoryManagerType &theManager)
    Set the instance as a string in the token queue.
- void set (double theNumber, const XalanDOMString &theString, MemoryManagerType &theManager)
    Set the instance as a number in the token queue.

## Protected Member Functions

- virtual void referenced ()
- virtual void dereferenced ()

## Constructor & Destructor Documentation

XToken::XToken | ( |  | ) |

XToken::XToken | ( | const XalanDOMString & | theString,
|  | MemoryManagerType & | theManager
| ) | `[explicit]`

Create an XToken for string in the token queue.

Parameters:

  theString | The string data for the token. The instance will keep a point to this string, so it must be persistent.

XToken::XToken | ( | double | theNumber,
|  | const XalanDOMString & | theString
| ) |

Create an XToken for number in the token queue.

Parameters:

  theNumber | The numeric data for the token. This must be consistent with the lexical value in theString.
  theString | The string data for the token. The instance will keep a point to this string, so it must be persistent.

XToken::XToken | ( | const XToken & | theSource | ) |

virtual XToken::~XToken | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool XToken::boolean | ( |  | ) | const`[virtual]`

Cast result object to a boolean.

Returns:
  boolean value

Reimplemented from XObject.

virtual void XToken::dereferenced | ( |  | ) | `[protected, virtual]`

| Reimplemented from XObject.

virtual const XalanDOMString& XToken::getTypeString | ( |  | ) | const`[virtual]`

Given a request type, return the equivalent string.

For diagnostic purposes.

Returns:
  string for type

Implements XObject.

virtual double XToken::num | ( |  | ) | const`[virtual]`

Cast result object to a number.

Returns:
  numeric value

Reimplemented from XObject.

XToken& XToken::operator= | ( | const XToken & | theRHS | ) |

virtual void XToken::ProcessXObjectTypeCallback | ( | XObjectTypeCallback & | theCallbackObject | ) | const`[virtual]`

Process a callback request for preferred type information.

Parameters:

  theCallbackObject | object to call back

Implements XObject.

virtual void XToken::ProcessXObjectTypeCallback | ( | XObjectTypeCallback & | theCallbackObject | ) | `[virtual]`

Process a callback request for preferred type information.

Parameters:

  theCallbackObject | object to call back

Implements XObject.

virtual void XToken::referenced | ( |  | ) | `[protected, virtual]`

| Reimplemented from XObject.

void XToken::set | ( | double | theNumber,
|  | const XalanDOMString & | theString,
|  | MemoryManagerType & | theManager
| ) |

Set the instance as a number in the token queue.

Parameters:

  theNumber | The numeric data for the token. This must be consistent with the lexical value in theString.
  theString | The string data for the token. XToken will keep a point to this string, so it must be persistent.

void XToken::set | ( | const XalanDOMString & | theString,
|  | MemoryManagerType & | theManager
| ) |

Set the instance as a string in the token queue.

Parameters:

  theString | The string data for the token. XToken will keep a point to this string, so it must be persistent.

virtual void XToken::str | ( | XalanDOMString & | theBuffer | ) | const`[virtual]`

Append the string value directly a string.

Parameters:

  theBuffer | The buffer for the data

Reimplemented from XObject.

virtual void XToken::str | ( | FormatterListener & | formatterListener,
|  | MemberFunctionPtr | function
| ) | const`[virtual]`

Send the string value to a FormatterListener instance.

Parameters:

  formatterListener | The FormatterListener instance
  function | A pointer to the member function of FormatterListener to call

Implements XObject.

virtual const XalanDOMString& XToken::str | ( |  | ) | const`[virtual]`

Cast result object to a string.

Returns:
  string value

Reimplemented from XObject.

virtual double XToken::stringLength | ( |  | ) | const`[virtual]`

Get the length of the string value of the instance..

Returns:
  The length of the string value

Implements XObject.

The documentation for this class was generated from the following file:

- XToken.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.